#
# spec file for package python-junitxml
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-junitxml
Version:        0.7
Release:        11.5
Url:            https://launchpad.net/pyjunitxml
Summary:        A pyunit extension to output JUnit compatible XML
License:        LGPL-3.0+
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/j/junitxml/junitxml-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-nose
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
A Python unittest TestResult that outputs JUnit compatible XML.

%prep
%setup -q -n junitxml-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

#TODO: Fix, doesn't run:
#%%check
#nosetests

%files
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/pyjunitxml
%{python_sitelib}/*

%changelog
* Fri Nov 30 2012 toddrme2178@gmail.com
- Add missing executable
* Fri Nov 23 2012 saschpe@suse.de
- Update to version 0.7:
  + Added a .testr.conf file for running tests with testrepository.
  + Change from skip to skipped to fit the 'standard' better.
  + There is now a runner compatible with the unittest2 command line options, for
    easy 'just give me XML' usage.
* Mon Mar 26 2012 saschpe@suse.de
- Initial version
